# Uses of Enum Class
org.bukkit.Rotation

Packages that use Rotation
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Rotation in org.bukkit

Methods in org.bukkit that return Rotation
Modifier and Type
Method
Description
`@NotNull Rotation`
Rotation.`rotateClockwise()`
Rotate clockwise by 90 degrees.
`@NotNull Rotation`
Rotation.`rotateCounterClockwise()`
Rotate counter-clockwise by 90 degrees.
`static Rotation`
Rotation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Rotation[]`
Rotation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Rotation in org.bukkit.entity

Methods in org.bukkit.entity that return Rotation
Modifier and Type
Method
Description
`@NotNull Rotation`
ItemFrame.`getRotation()`
Get the rotation of the frame's item
Methods in org.bukkit.entity with parameters of type Rotation
Modifier and Type
Method
Description
`void`
ItemFrame.`setRotation(@NotNull Rotation rotation)`
Set the rotation of the frame's item